using System;


namespace ActionGame.GameArtifacts.Models.Characters
{
    public class MovementPhysics
    {
        public Double VelocityX { get; set; }
        public Double VelocityY { get; set; }
        public Double AccelerationX { get; set; }
        public Double AccelerationY { get; set; }



        public Boolean IsMoving()
        {
            Double tolerance = 0.7;
            Boolean result = false;

            if (Math.Abs(VelocityX) > tolerance) result = true;
            if (Math.Abs(VelocityY) > tolerance) result = true;

            return result;
        }

    }
}
